# coding: utf-8

module Cacofonix; module CodeLists
  LIST_121 = {
    "Afak" => "Afaka",
    "Arab" => "Arabic",
    "Armi" => "Imperial Aramaic",
    "Armn" => "Armenian",
    "Avst" => "Avestan",
    "Bali" => "Balinese",
    "Bamu" => "Bamun",
    "Bass" => "Bassa Vah",
    "Batk" => "Batak",
    "Beng" => "Bengali",
    "Blis" => "Blissymbols",
    "Bopo" => "Bopomofo",
    "Brah" => "Brahmi",
    "Brai" => "Braille",
    "Bugi" => "Buginese",
    "Buhd" => "Buhid",
    "Cakm" => "Chakma",
    "Cans" => "Unified Canadian Aboriginal Syllabics",
    "Cari" => "Carian",
    "Cham" => "Cham",
    "Cher" => "Cherokee",
    "Cirt" => "Cirth",
    "Copt" => "Coptic",
    "Cprt" => "Cypriot",
    "Cyrl" => "Cyrillic",
    "Cyrs" => "Cyrillic (Old Church Slavonic variant)",
    "Deva" => "Devanagari (Nagari)",
    "Dsrt" => "Deseret (Mormon)",
    "Dupl" => "Duployan shorthand, Duployan stenography",
    "Egyd" => "Egyptian demotic",
    "Egyh" => "Egyptian hieratic",
    "Egyp" => "Egyptian hieroglyphs",
    "Elba" => "Elbasan",
    "Ethi" => "Ethiopic (Ge'ez)",
    "Geok" => "Khutsuri (Asomtavruli and Khutsuri)",
    "Geor" => "Georgian (Mkhedruli)",
    "Glag" => "Glagolitic",
    "Goth" => "Gothic",
    "Gran" => "Grantha",
    "Grek" => "Greek",
    "Gujr" => "Gujarati",
    "Guru" => "Gurmukhi",
    "Hang" => "Hangul (Hangŭl, Hangeul)",
    "Hani" => "Han (Hanzi, Kanji, Hanja)",
    "Hano" => "Hanunoo (Hanunóo)",
    "Hans" => "Han (Simplified variant)",
    "Hant" => "Han (Traditional variant)",
    "Hebr" => "Hebrew",
    "Hira" => "Hiragana",
    "Hmng" => "Pahawh Hmong",
    "Hrkt" => "(alias for Hiragana + Katakana)",
    "Hung" => "Old Hungarian",
    "Inds" => "Indus (Harappan)",
    "Ital" => "Old Italic (Etruscan, Oscan, etc)",
    "Java" => "Javanese",
    "Jpan" => "(alias for Han + Hiragana + Katakana)",
    "Jurc" => "Jurchen",
    "Kali" => "Kayah Likayah li",
    "Kana" => "Katakana",
    "Khar" => "Kharoshthi",
    "Khmr" => "Khmer",
    "Knda" => "Kannada",
    "Kore" => "Korean (alias for Hangul + Han)",
    "Kpel" => "Kpelle",
    "Kthi" => "Kaithi",
    "Lana" => "Lanna, Tai Tham",
    "Laoo" => "Lao",
    "Latf" => "Latin (Fraktur variant)",
    "Latg" => "Latin (Gaelic variant)",
    "Latn" => "Latin",
    "Lepc" => "Lepcha (Róng)",
    "Limb" => "Limbu",
    "Lina" => "Linear A",
    "Linb" => "Linear B",
    "Lisu" => "Lisu (Fraser)",
    "Loma" => "Loma",
    "Lyci" => "Lycian",
    "Lydi" => "Lydian",
    "Mand" => "Mandaic, Mandaean",
    "Mani" => "Manichaean",
    "Maya" => "Mayan hieroglyphs",
    "Mend" => "Mende",
    "Merc" => "Meroitic Cursive",
    "Mero" => "Meroitic Hieroglyphs",
    "Mlym" => "Malayalam",
    "Mong" => "Mongolian",
    "Moon" => "Moon (Moon code, Moon script, Moon type)",
    "Mroo" => "Mro",
    "Mtei" => "Meitei Mayek (Meithei, Meetei)",
    "Mymr" => "Myanmar (Burmese)",
    "Narb" => "Old North Arabian (Ancient North Arabian)",
    "Nbat" => "Nabatean",
    "Nkgb" => "Nakhi Geba ('Na-'Khi ²Ggŏ-¹baw, Naxi Geba)",
    "Nkoo" => "N'Ko",
    "Nshu" => "Nüshu",
    "Ogam" => "Ogham",
    "Olck" => "Ol Chiki (Ol Cemet', Ol, Santali)",
    "Orkh" => "Old Turkic, Orkhon Runic",
    "Orya" => "Oriya",
    "Osma" => "Osmanya",
    "Palm" => "Palmyrene",
    "Perm" => "Old Permic",
    "Phag" => "Phags-pa",
    "Phli" => "Inscriptional Pahlavi",
    "Phlp" => "Psalter Pahlavi",
    "Phlv" => "Book Pahlavi",
    "Phnx" => "Phoenician",
    "Plrd" => "Miao (Pollard Phonetic)",
    "Prti" => "Inscriptional Parthian",
    "Qaaa" => "Reserved for private use (start)",
    "Qabx" => "Reserved for private use (end)",
    "Rjng" => "Rejang, Redjang, Kaganga",
    "Roro" => "Rongorongo",
    "Runr" => "Runic",
    "Samr" => "Samaritan",
    "Sara" => "Sarati",
    "Sarb" => "Old South Arabian",
    "Saur" => "Saurashtra",
    "Sgnw" => "SignWriting",
    "Shaw" => "Shavian (Shaw)",
    "Shrd" => "Sharada",
    "Sind" => "Sindhi, Khudawadi",
    "Sinh" => "Sinhala",
    "Sora" => "Sora Sompeng",
    "Sund" => "Sundanese",
    "Sylo" => "Syloti Nagri",
    "Syrc" => "Syriac",
    "Syre" => "Syriac (Estrangelo variant)",
    "Syrj" => "Syriac (Western variant)",
    "Syrn" => "Syriac (Eastern variant)",
    "Tagb" => "Tagbanwa",
    "Takr" => "Takri",
    "Tale" => "Tai Le",
    "Talu" => "New Tai Lue",
    "Taml" => "Tamil",
    "Tang" => "Tangut",
    "Tavt" => "Tai Viet",
    "Telu" => "Telugu",
    "Teng" => "Tengwar",
    "Tfng" => "Tifinagh (Berber)",
    "Tglg" => "Tagalog (Baybayin, Alibata)",
    "Thaa" => "Thaana",
    "Thai" => "Thai",
    "Tibt" => "Tibetan",
    "Ugar" => "Ugaritic",
    "Vaii" => "Vai",
    "Visp" => "Visible Speech",
    "Wara" => "Warang Citi (Varang Kshiti)",
    "Wole" => "Woleai",
    "Xpeo" => "Old Persian",
    "Xsux" => "Cuneiform, Sumero-Akkadian",
    "Yiii" => "Yi",
    "Zinh" => "Code for inherited script",
    "Zmth" => "Mathematical notation",
    "Zsym" => "Symbols",
    "Zxxx" => "Code for unwritten languages",
    "Zyyy" => "Code for undetermined script",
    "Zzzz" => "Code for uncoded script"
  }
end; end
